from maya import mel
import maya.cmds as cmds
			
def importSkeleton(fileName):
	f = open(fileName,"rb")
	f.readline()
	f.readline()
	f.readline()
	numBones = int(f.readline())
	bones = []
	for i in range(0,numBones):
		boneName = f.readline().split()[0]
		id = int(f.readline())
		parent = int(f.readline())
		scale = float(f.readline())
		matrix = []
		matrix.append(f.readline().split())
		matrix.append(f.readline().split())
		matrix.append(f.readline().split())
		bones.append((id,boneName,parent,scale,matrix))
	for bone in bones:
		cmds.select(d=True)
		cmds.joint(p=(float(bone[4][0][3]),float(bone[4][1][3]),float(bone[4][2][3])), n=bone[1]+"_"+str(bone[0]))
	for bone in bones:
		if bone[2] != -1:
			cmds.select(bone[1]+"_"+str(bone[0]))
			cmds.select(bones[bone[2]][1]+"_"+str(bones[bone[2]][0]),add=True)
			cmds.parent()